using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace irisDataBase.Model
{
    public class CollListView
    {
        private long ID; 
        private string STAFF_NO; 
        private string NAME; 
        private string SEX; 
        private long DEPTID;
        private string ID_CARD_NO;
        private DateTime BIRTHDAY;
        private string REMARKS;
        private string PHOTO_DATA;
        private string NATION;
        private string CER_AUTH;
        private string ADDR;
        private DateTime COLL_TIME;
        private string FLAG_UPLOAD;
        private string COLL_TYPE;
        private long IRIS_ID;
        private string IRIS_L1;
        private string IRIS_L2;
        private string IRIS_R1;
        private string IRIS_R2;
        private string IMAGE_L1_DATA;
        private string IMAGE_L2_DATA;
        private string IMAGE_R1_DATA;
        private string IMAGE_R2_DATA;
        private string SIMPLENAME;

        public long id
        {
            get { return ID; }
            set { ID = value; }
        }
        

        public string staffNo
        {
            get { return STAFF_NO; }
            set { STAFF_NO = value; }
        }
        

        public string name
        {
            get { return NAME; }
            set { NAME = value; }
        }
        

        public string sex
        {
            get { return SEX; }
            set { SEX = value; }
        }
        

        public long deptId
        {
            get { return DEPTID; }
            set { DEPTID = value; }
        }
        

        public string idCardNo
        {
            get { return ID_CARD_NO; }
            set { ID_CARD_NO = value; }
        }
        

        public DateTime birthday
        {
            get { return BIRTHDAY; }
            set { BIRTHDAY = value; }
        }
        

        public string remarks
        {
            get { return REMARKS; }
            set { REMARKS = value; }
        }
        

        public string photoData
        {
            get { return PHOTO_DATA; }
            set { PHOTO_DATA = value; }
        }
        

        public string nation
        {
            get { return NATION; }
            set { NATION = value; }
        }
        

        public string cerAuth
        {
            get { return CER_AUTH; }
            set { CER_AUTH = value; }
        }
       

        public string addr
        {
            get { return ADDR; }
            set { ADDR = value; }
        }
        

        public DateTime collTime
        {
            get { return COLL_TIME; }
            set { COLL_TIME = value; }
        }
        

        public string flagUpload
        {
            get { return FLAG_UPLOAD; }
            set { FLAG_UPLOAD = value; }
        }
        

        public string collType
        {
            get { return COLL_TYPE; }
            set { COLL_TYPE = value; }
        }
        

        public long irisId
        {
            get { return IRIS_ID; }
            set { IRIS_ID = value; }
        }


        public string irisL1
        {
            get { return IRIS_L1; }
            set { IRIS_L1 = value; }
        }


        public string irisL2
        {
            get { return IRIS_L2; }
            set { IRIS_L2 =value; }
        }


        public string irisR1
        {
            get { return IRIS_R1; }
            set { IRIS_R1 = value; }
        }


        public string irisR2
        {
            get { return IRIS_R2; }
            set { IRIS_R2 = value; }
        }
        

        public string imageL1Data
        {
            get { return IMAGE_L1_DATA; }
            set { IMAGE_L1_DATA = value; }
        }
        

        public string imageL2Data
        {
            get { return IMAGE_L2_DATA; }
            set { IMAGE_L2_DATA = value; }
        }
        

        public string imageR1Data
        {
            get { return IMAGE_R1_DATA; }
            set { IMAGE_R1_DATA = value; }
        }

        public string imageR2Data
        {
            get { return IMAGE_R2_DATA; }
            set { IMAGE_R2_DATA = value; }
        }
        

        public string simplename
        {
            get { return SIMPLENAME; }
            set { SIMPLENAME = value; }
        }

       
               
    }
}
